<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Temario extends Model
{
    protected $table = "ins_temario";
    protected $primaryKey = 'cve_tem';
    protected $fillable = ['cve_mat', 'horasTeoricas_tem', 'horasPracticas_tem', 'totalHoras_tem', 'competenciasDes_tem', 'competenciasPre_tem', 'status_tem', 'caracterasig_tem', 'intendidac_tem', 'practicas_tem', 'proyectoasig_tem', 'evalcom_tem', 'fuentes_tem'];

    //Función - Es la relacion entre Materia
    public function materia()
    {
        return $this->belongsTo('App\Materia', 'cve_mat', 'cve_mat');
    }

    public function Temuni()
    {
        return $this->hasMany('App\Temuni', 'cve_tem', 'cve_tem');
    }

    public function TemarioActividadAprendizaje()
    {
        return $this->hasMany('App\TemarioActividadAprendizaje', 'cve_tem', 'cve_tem');
    }
}
